## com.saxonica.deploy
Interface ContextPredicateFunction

    public interface ContextPredicateFunction

ContextPredicateFunction is an interface that must be satisfied by an object passed to a ContextFilterIterator. It represents an object which, given the context, returns a boolean indicating whether the context item satisfies a predicate.

Method Summary
`boolean` `matches(XPathContext context)` Test whether the context item satisfies a predicate.

Method Detail

### matches

    boolean matches(XPathContext context)
                    throws XPathException

  Test whether the context item satisfies a predicate.

  Parameters:
    `context` - The processing context. The item to be tested is the context item identified from this context: the values of position() and last() also relate to the set of items being filtered
  Returns:
    true if the item is to be included in the result, otherwise false
  Throws:
    `XPathException`

Copyright (c) Saxonica Limited. All rights reserved.